package com.example.shawarma.widgets

import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.offset
import androidx.compose.foundation.layout.size
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.rotate
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.unit.dp
import androidx.compose.ui.zIndex
import com.example.shawarma.R

@Composable
fun ShawarmaLogo1(){
    Column(modifier = Modifier
        .zIndex(-1f)
        .fillMaxSize()
    ) {
        Image(
            painterResource(
                id = R.drawable.shawarma1
            ),
            contentDescription = "Logo",
            modifier = Modifier
                .size(256.dp, 256.dp)
                .rotate(degrees = 19.25f)
                .offset((-70).dp, (-5).dp),
        )
        Image(
            painterResource(
                id = R.drawable.shawarma1
            ),
            contentDescription = "Logo",
            modifier = Modifier
                .size(256.dp, 256.dp)
                .offset((200).dp, (100).dp)
                .rotate(degrees = -136f)
        )
    }
}